Developers
Read a Webhook Endpoint
GET
One of the caller’s Webhook Endpoints. The secret never appears.
header
AuthorizationBearer <token>An API Key the User creates in account settings, sent as Authorization: Bearer <key>. It holds the Scopes chosen at creation.
endpointId*stringLength
1 <= lengthSuccess.
application/json- response
id*stringurl*stringeventTypes*array<>status*stringValue in
"unverified""active""disabled"createdAt*stringMatch
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Format
date-timeupdatedAt*stringMatch
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Format
date-timecurl -X GET 'https://ximagesplitter.com/api/v1/webhooks/endpoints/string'Example response
{
"id": "string",
"url": "string",
"eventTypes": [
"generation.queued"
],
"status": "unverified",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}